.filter {
    position: relative;

    &__header {
        fill: var(--blue);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__toggle {
        font-size: 0;
        line-height: 0;
        width: rem(24);
        height: rem(24);
        display: block;
        flex-shrink: 0;
        transform: rotate(-90deg);
    }

    &__row {
        display: grid;
        grid-row-gap: rem(14);
        grid-column-gap: rem(14);
        grid-template-columns: 1fr;
    }

    &__body {
        border-top: 1px solid var(--gray-10);
        border-bottom: 1px solid var(--gray-10);
        margin: rem(16) rem(-16) 0 rem(-16);
    }

    &__vendors {
        padding: rem(16) rem(4) rem(4) rem(16);
        overflow: hidden;
        display: none;
        flex-direction: column;
        height: rem(240);
    }

    &__container {
        flex-grow: 1;
        position: relative;

        //&:before {
        //    left: 0;
        //    bottom: 0;
        //    content: '';
        //    z-index: 20;
        //    height: rem(32);
        //    right: rem(12);
        //    position: absolute;
        //    background: linear-gradient(180deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0.2) 30%, rgba(255,255,255,1) 100%);
        //}
    }

    &__main {
        display: block;
    }

    &__content {
        padding: rem(14);
        background: var(--gray-5);
        border-bottom: 1px solid var(--gray-10);
    }

    &__footer {
        padding: rem(14);
        display: flex;
        flex-wrap: wrap;
        row-gap: rem(12);
        column-gap: rem(12);
    }

    &__button {
        width: calc(50% - 6px);
        flex-shrink: 0;

        &--xl {
            width: 100%;

            .btn {
                width: 100%;
            }
        }

        .btn {

            span {

                span {
                    display: none;
                }
            }
        }
    }

    &__scroll {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        position: absolute;
    }

    &__item {
        display: none;

        &--sm {
            display: block;
        }
    }

    &__title {
        margin-bottom: rem(16);
    }

    .form-label {
        flex-grow: 1;
        margin-bottom: 0;
    }

    &.open {

        .filter {

            &__vendors {
                display: flex;
            }

            &__item {
                display: block;
            }
        }
    }

    .simplebar-track.simplebar-vertical {
        top: rem(12);
    }

    .checkbox {

        &__label {
            padding-top: 0;
            line-height: rem(18);
        }
    }

    @include media-breakpoint-up(sm) {

        &__body {
       //     overflow: hidden;
            margin: rem(16) 0 0 0;
            border-radius: 4px;
            border: 1px solid var(--gray-10);
        }

        &__main {
            border-radius: 4px;
        }

        &__content {
            border-radius: 4px 4px 0 0;
        }
    }

    @include media-breakpoint-up(md) {

        &__row {
            grid-template-columns: 1fr 1fr;
        }

        &__footer {
            flex-wrap: nowrap;
        }

        &__button {
            width: auto;

            &--xl {
                flex-shrink: 1;
                flex-grow: 1;

                .btn {
                    max-width: rem(232);
                }
            }

            .btn {

                span {

                    span {
                        display: inline;
                    }
                }
            }
        }

        &__toggle {
            display: none;
        }

        &__item {

            &--md {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__row {
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__body {
            display: flex;
        }

        &__main {
            border-radius: 0 4px 4px 0;
        }

        &__content {
            border-radius: 0 4px 0 0;
        }

        &__vendors {
            height: auto;
            display: flex;
            width: rem(244);
            flex-shrink: 0;
            padding: rem(16);
            border-radius: 4px 0 0 4px;
            border-right: 1px solid var(--gray-10);
            flex-direction: column;
        }

        &__title {
            margin-bottom: rem(16);
        }

        &__main {
            flex-grow: 0;
        }

        &__item {
            order: 20;
        }
    }

    @include media-breakpoint-up(xl) {

        &__row {
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__body {
            margin-top: rem(16);
        }

        &__vendors {
            width: rem(232);
            padding: rem(14) rem(7) rem(14) rem(14);
        }

        .form-label {
            overflow: hidden;
            text-overflow: ellipsis;
            max-width: calc(100% - 30px);
        }
    }

    @include media-breakpoint-up(wide) {

    }
}

.filter-list {
    display: flex;
    flex-direction: column;
    row-gap: rem(10);
    padding-top: rem(10);
    padding-bottom: rem(36);

    &__item {

        &--fixed {
            z-index: 50;
            padding-bottom: rem(8);
            background-color: white;
            border-bottom: 1px solid var(--gray-10);
        }
    }
}

.simplebar-scrollbar {
    opacity: .75;

    &:before {
        opacity: 1;
        background-color: var(--gray-60) !important;
    }

    &.sidebar-hover {
        opacity: 1 !important;

        &:before {
            opacity: 1 !important;
            background-color: var(--gray-60) !important;
        }
    }
}

.sidebar-hover {

    .simplebar-scrollbar {
        opacity: 1 !important;

        &:before {
            opacity: 1;
            background-color: var(--gray-60) !important;
        }
    }
}

.simplebar-scrollbar:before {

}

[data-filter-toggle] {
    position: relative;

    &:before {
        left: rem(10);
        top: calc(50% - 8px);
        width: 16px;
        height: 16px;
        content: '';
        position: absolute;
        background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTYnIGhlaWdodD0nMTYnIHZpZXdCb3g9JzAgMCAxNiAxNicgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNNC45NCA1LjUzMDAzTDggOC41ODMzNkwxMS4wNiA1LjUzMDAzTDEyIDYuNDcwMDNMOCAxMC40N0w0IDYuNDcwMDNMNC45NCA1LjUzMDAzWicgZmlsbD0nIzAwQTVGRicvPjwvc3ZnPgo=");
        background-repeat: no-repeat;
        background-position: 50% 50%;
        background-size: cover;
    }

    &:after {
        content: attr(data-filter-close);
    }

    &:hover {

        &:before {
            background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTYnIGhlaWdodD0nMTYnIHZpZXdCb3g9JzAgMCAxNiAxNicgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNNC45NCA1LjUzMDAzTDggOC41ODMzNkwxMS4wNiA1LjUzMDAzTDEyIDYuNDcwMDNMOCAxMC40N0w0IDYuNDcwMDNMNC45NCA1LjUzMDAzWicgZmlsbD0nI2ZmZicvPjwvc3ZnPgo=");
        }
    }

    &.open {

        &:before {
            transform: rotate(180deg);
        }

        &:after {
            content: attr(data-filter-open);
        }
    }
}

.scroll-button {
    right: 0;
    z-index: 50;
    width: rem(12);
    height: rem(12);
    position: absolute;
    cursor: pointer;
    background-color: rebeccapurple;

    &--top {
        top: 0;
    }

    &--bottom {
        bottom: 0;
    }
}

.filter-base {

    @include media-breakpoint-up(lg) {

        .filter__item {

            &:nth-child(1) {
                order: 1;
            }

            &:nth-child(2) {
                order: 4;
            }

            &:nth-child(3) {
                order: 7;
            }

            &:nth-child(4) {
                order: 10;
            }

            &:nth-child(5) {
                order: 13;
            }

            &:nth-child(6) {
                order: 15;
            }

            &:nth-child(7) {
                // order: 16;
                order: 2;
            }

            &:nth-child(8) {
                // order: 2;
                order: 5;
            }

            &:nth-child(9) {
                // order: 5;
                order: 8;
            }

            &:nth-child(10) {
                // order: 8;
                order: 11;
            }

            &:nth-child(11) {
                order: 11;
            }

            &:nth-child(12) {
                // order: 14;
                order: 3;
            }

            &:nth-child(13) {
                // order: 3;
                order: 6;
            }

            &:nth-child(14) {
                // order: 6;
                order: 9;
            }

            &:nth-child(15) {
                // order: 9;
                order: 14;
            }

            &:nth-child(16) {
                order: 12;
            }

            &:nth-child(17) {
                order: 17;
            }

            &:nth-child(18) {
                order: 20;
            }
        }
    }
}
